À compter du 31 décembre 2018, l'équipe de cPanel a officiellement placé EasyApache 3 en fin de vie, ce qui signifie qu'il deviendra obsolète et ne recevra plus de mise à jour. La prise en charge d'EasyApache 3 sera supprimée dans la version 78 de cPanel & WHM afin de permettre leur transition vers EasyApache4. Pour plus d'informations sur l'annonce de fin de vie, consultez le blogue officiel de cPanel.

Il est vivement recommandé de mettre à niveau votre cPanel & WHM vers EasyApache 4. Assurez-vous de mettre à niveau votre système s'il utilise toujours EasyApache, 3 car un produit en fin de vie n'est pas sécurisé.

Pour tous ceux qui utilisent cPanel & WHM avec CloudLinux, l'équipe de CloudLinux a créé son propre script de migration pour simplifier la transition. Ce script effectue la migration d'EasyApache 3 vers EasyApache 4, avec la possibilité d'installer des modules Apache supplémentaires (mod_lsapi, alt-php et alt_mod_passenger) fournis uniquement par CloudLinux.

Pour passer à la nouvelle version d'EasyApache sur les systèmes CloudLinux, procédez comme suit.

  1. Téléchargez notre script de migration:
    cd ~; wget https://repo.cloudlinux.com/cloudlinux/sources/cloudlinux_ea3_to_ea4
  2. Effectuer la migration. Choisissez un seul :
    1. Installez EasyApache 4 avec mod_lsapi et alt-php:
      sh cloudlinux_ea3_to_ea4 --convert --mod_lsapi --altphp
    2. Installez EasyApache 4 avec mod_lsapi, alt-php et alt_mod_passenger:
      sh cloudlinux_ea3_to_ea4 --convert --mod_lsapi --altphp --mod_passenger
    3. Installez EasyApache 4:
      sh cloudlinux_ea3_to_ea4 --convert

Pour plus d'informations sur le script de migration cloudlinux_ea3_to_ea4, veuillez consulter la documentation CloudLinux.



 mercredi, janvier 16, 2019



« Retour